Bug 131914 - audio/musicpd: update to 0.14.2 release, ffmpeg knob, options cleanup
Summary: audio/musicpd: update to 0.14.2 release, ffmpeg knob, options cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-20 20:50 UTC by David Horn
Modified: 2009-03-18 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.45 KB, patch)
2009-02-20 20:50 UTC, David Horn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Horn 2009-02-20 20:50:01 UTC
This is an update to audio/musicpd port for a few things:

1)  Update to latest upstream release (0.14.2)
2)  Add new ffmpeg knob to options, and LIBDEPENDS for avcodec/avformat/avutil
3)  change wording on id3tag knob to specify id3 v1/v2 instead of just v1
4)  change shoutcast wording to specify ogg (so that it is clearer)
5)  change several configure args to sync with the upstream.  This includes 
--enable-mpd-id3tag, --disable-ogg, --disable-shout are now:
--disable-id3, --disable-oggvorbis, --disable-shout-ogg, and added --disable-shout-mp3.
6)  Removed outdated iconv knob as this is no longer a valid configure option in musicpd configure script

Fix: Fix is attached as a unified diff patchfile.

Patch attached with submission follows:
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-02-20 21:03:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-02-20 21:06:42 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-03-06 21:22:31 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 4 David Horn 2009-03-13 04:52:09 UTC
ports/131991 has an additional patch that fixes 1 more issue with
MusicPD and adds a LIBDEPENDS for CURL.

(whoever ends up committing this, may want to combine the patches to
simplify life.)
Comment 5 dfilter service freebsd_committer 2009-03-18 16:45:54 UTC
itetcu      2009-03-18 16:45:44 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo 
  Added files:
    audio/musicpd/files  musicpd.in 
  Removed files:
    audio/musicpd/files  musicpd.sh.in 
  Log:
  - Update to latest upstream release (0.14.2)
  - Add new ffmpeg knob to options, and LIBDEPENDS for avcodec/avformat/avutil
  - change wording on id3tag knob to specify id3 v1/v2 instead of just v1
  - change shoutcast wording to specify ogg (so that it is clearer)
  - change several configure args to sync with the upstream. This includes
    --enable-mpd-id3tag, --disable-ogg, --disable-shout are now:
    --disable-id3, --disable-oggvorbis, --disable-shout-ogg
    and added --disable-shout-mp3.
  - Removed outdated iconv knob as this is no longer a valid configure option in
  musicpd configure script
  - rename files/musicpd.sh.in --> files/musicpd.sh to follow current rc.d
  practices.
  
  PR:             ports/131914
  Submitted by:   David Horn
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.42      +19 -16    ports/audio/musicpd/Makefile
  1.20      +3 -3      ports/audio/musicpd/distinfo
  1.1       +27 -0     ports/audio/musicpd/files/musicpd.in (new)
  1.3       +0 -27     ports/audio/musicpd/files/musicpd.sh.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-03-18 16:45:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!